Download it now!
Bug 90839 - OOXML: pptx import - Pie diagram label texts locate to the wrong position
Summary: OOXML: pptx import - Pie diagram label texts locate to the wrong position
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) All
: high major
Assignee: Marco Cecchetti
URL:
Whiteboard: target:5.0.0 target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-24 15:50 UTC by Marco Cecchetti
Modified: 2017-12-13 11:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A file created with PowerPoint containing several pie diagrams (137.72 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-04-24 15:50 UTC, Marco Cecchetti
Details
PDF output opened by MSO (226.38 KB, application/pdf)
2015-04-24 15:53 UTC, Marco Cecchetti
Details
PDF output opened by LibreOffice (408.35 KB, application/pdf)
2015-04-24 15:55 UTC, Marco Cecchetti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Cecchetti 2015-04-24 15:50:09 UTC
Created attachment 115068 [details]
A file created with PowerPoint containing several pie diagrams

Steps to Reproduce:
Open sample pptx file attached to this bug. View all pages. 

Actual Results:
The texts of pie diagram label in these pages are in the wrong position. They are hard to read, since they are always placed at the centre of the related pie slice. Moreover no text wrapping is available.

Expected Results:
Label texts should in there right position around the pie diagram.


PDF output opened by LibreOffice and MSO are also available.
Comment 1 Marco Cecchetti 2015-04-24 15:53:17 UTC
Created attachment 115070 [details]
PDF output opened by MSO

PDF output opened by MSO
Comment 2 Marco Cecchetti 2015-04-24 15:55:49 UTC
Created attachment 115071 [details]
PDF output opened by LibreOffice

PDF output opened by LibreOffice
Comment 3 A (Andy) 2015-04-24 20:54:22 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 4 Commit Notification 2015-05-04 09:07:36 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea374ab51e229bb1a959a271c1405ef72ad71316

tdf#90839 - added support for inside placement for the best fit case

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-09-09 07:43:08 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ed1dd01be8afa0961e388a79e9ff4c1235820c2

tdf#90839: support for wrapped text in data labels and for centered data value

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-10-07 06:12:54 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9887118e1977e603d2103701c5d82bb799a729c7

tdf#90839: follow-up work

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2016-09-15 22:16:15 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 8 Xisco Faulí 2017-09-11 08:48:30 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 9 Xisco Faulí 2017-12-12 10:21:42 UTC
It seems the text is wrapped now.
Closing as RESOLVED FIXED

Version: 6.1.0.0.alpha0+
Build ID: 3af500580b1c82eabd60335c9ebc458a3f68850c
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 10 Bastián Díaz 2017-12-13 00:26:14 UTC
(In reply to Xisco Faulí from comment #9)
> It seems the text is wrapped now.
> Closing as RESOLVED FIXED
> 
> Version: 6.1.0.0.alpha0+
> Build ID: 3af500580b1c82eabd60335c9ebc458a3f68850c
> CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

Testing the test document in nightly build, I see wrap text has been added, but the problems of positioning the text and overlaying it remain (even the edge of the text box is missing). I think that how the document is displayed now is an unwanted behavior. 

What is the procedure? (reopen or create a new report?)

Cheers
Comment 11 Xisco Faulí 2017-12-13 11:31:36 UTC
(In reply to Bastián Díaz from comment #10)
> (In reply to Xisco Faulí from comment #9)
> > It seems the text is wrapped now.
> > Closing as RESOLVED FIXED
> > 
> > Version: 6.1.0.0.alpha0+
> > Build ID: 3af500580b1c82eabd60335c9ebc458a3f68850c
> > CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
> > Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
> 
> Testing the test document in nightly build, I see wrap text has been added,
> but the problems of positioning the text and overlaying it remain (even the
> edge of the text box is missing). I think that how the document is displayed
> now is an unwanted behavior. 
> 
> What is the procedure? (reopen or create a new report?)
> 
> Cheers

Hi Sebastián,
Could you please create a new report for it? Thanks!!